AnsweredAssumed Answered

Dependency problem when installing activity plugin in STS

Question asked by sarbogast on Apr 7, 2011
Latest reply on Jul 18, 2011 by trademak
I'm desperately trying to install Activiti Designer plugin into SpringSource Tool Suite 2.6.0 so that I can edit BPMN processes inside my Grails application.
But when I try to install the Activiti plugin, I get the following dependency problem:

Cannot complete the install because of a conflicting dependency.
  Software being installed: Activiti Eclipse BPMN 2.0 Designer 5.4.0 (org.activiti.designer.feature.feature.group 5.4.0)
  Software currently installed: Maven Integration for WTP (Optional) 0.11.1.20101108-1810 (org.maven.ide.eclipse.wtp.feature.feature.group 0.11.1.20101108-1810)
  Only one of the following can be installed at once:
    Modulecore Plug-in 1.2.0.v201005200200 (org.eclipse.wst.common.modulecore 1.2.0.v201005200200)
    Modulecore Plug-in 1.2.5.v201101270100 (org.eclipse.wst.common.modulecore 1.2.5.v201101270100)
  Cannot satisfy dependency:
    From: Activiti Eclipse BPMN 2.0 Designer 5.4.0 (org.activiti.designer.feature.feature.group 5.4.0)
    To: org.eclipse.wst.common_core.feature.feature.group [3.2.0.v201005241600-7B7DFEdF7RZHOZIvUqM4NJ]
  Cannot satisfy dependency:
    From: Web Plug-in 1.1.404.v201102030400 (org.eclipse.jst.j2ee.web 1.1.404.v201102030400)
    To: bundle org.eclipse.wst.common.modulecore [1.2.5,2.0.0)
  Cannot satisfy dependency:
    From: WST Common Core 3.2.0.v201005241600-7B7DFEdF7RZHOZIvUqM4NJ (org.eclipse.wst.common_core.feature.feature.group 3.2.0.v201005241600-7B7DFEdF7RZHOZIvUqM4NJ)
    To: org.eclipse.wst.common.modulecore [1.2.0.v201005200200]
  Cannot satisfy dependency:
    From: Maven Integration for WTP (Optional) 0.11.1.20101108-1810 (org.maven.ide.eclipse.wtp.feature.feature.group 0.11.1.20101108-1810)
    To: org.eclipse.jst.j2ee.web 0.0.0

I'm not an Eclipse wizard and that kind of dependency problem is very cryptic for me. Has anyone already seen that? Is there a tested version of STS against which Activiti plugin can be installed?

Outcomes